# ipe::Layout Struct Reference
Ipe Attributes

Layout of a Page. More...

`#include <ipeattributes.h>`

List of all members.

## Public Member Functions

- Layout ()
- bool isNull () const
- Rect paper () const

## Public Attributes

- Vector iPaperSize
- Vector iOrigin
- Vector iFrameSize
- double iParagraphSkip
- bool iCrop

## Detailed Description

Layout of a Page.

## Constructor & Destructor Documentation

ipe::Layout::Layout | ( |  | ) | `[inline]`

Create null layout.

## Member Function Documentation

bool ipe::Layout::isNull | ( |  | ) | const`[inline]`

Is this an undefined (null) layout?

Rect ipe::Layout::paper | ( |  | ) | const`[inline]`

Return rectangle describing the paper.

## Member Data Documentation

Vector ipe::Layout::iPaperSize

Dimensions of the media.

Vector ipe::Layout::iOrigin

Origin of the Ipe coordinate system relative to the paper.

Vector ipe::Layout::iFrameSize

Size of the frame (the drawing area).

double ipe::Layout::iParagraphSkip

Paragraph skip (between textboxes).

bool ipe::Layout::iCrop

Crop paper to drawing.

The documentation for this struct was generated from the following file:

- ipeattributes.h